Data Fields

# fsmIterator_s Struct Reference
[PAYLOAD.]

Iterator across package file info, forward on install, backward on erase. More...

`#include <lib/fsm.h>`

## Data Fields
rpmts | ts
rpmfi | fi
int | reverse
int | isave
int | i

## Detailed Description

Iterator across package file info, forward on install, backward on erase.

Definition at line 114 of file fsm.h.

## Field Documentation

rpmfi fsmIterator_s::fi

transaction element file info.

Definition at line 116 of file fsm.h.

Referenced by fsmGetFi(), mapFind(), mapFreeIterator(), mapInitIterator(), and mapNextIterator().

int fsmIterator_s::i

iterator index.

Definition at line 119 of file fsm.h.

Referenced by mapFind(), mapInitIterator(), and mapNextIterator().

int fsmIterator_s::isave

last returned iterator index.

Definition at line 118 of file fsm.h.

Referenced by mapInitIterator(), and mapNextIterator().

int fsmIterator_s::reverse

reversed traversal?

Definition at line 117 of file fsm.h.

Referenced by mapInitIterator(), and mapNextIterator().

rpmts fsmIterator_s::ts

transaction set.

Definition at line 115 of file fsm.h.

Referenced by fsmGetTs(), mapFreeIterator(), and mapInitIterator().

The documentation for this struct was generated from the following file:

- lib/fsm.h